Kitz ADSL Broadband Information
adsl spacer  
Support this site
Home Broadband ISPs Tech Routers Wiki Forum
 
     
   Compare ISP   Rate your ISP
 
Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: 1 [2]

Author Topic: Pi3 problem with dsl stats 6.06 (alerts)  (Read 1158 times)

banger

  • Reg Member
  • ***
  • Posts: 532
  • Uno comms 80/20
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #15 on: September 04, 2017, 10:57:09 PM »

I have changed to google and getting the same error

04 Sep 2017 22:53:39   Failed to sent email alert - TSendMail: SMTP error: SMTP::Login
???-Other undefined Status

Where is the Less secure apps setting. I have changed to 465 port.
Logged
Tim
www.uno.net.uk & freenetname
Asus DSL-N55U and ZyXEL VMG1312-B10A Bridge on 80 Meg TTB Fibre

https://www.thinkbroadband.com/speedtest/1502566996147131655

skyeci

  • Reg Member
  • ***
  • Posts: 971
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #16 on: September 04, 2017, 11:04:03 PM »

Login to Google, my account, connected apps and sites,  Allow less secure apps: ON

In dsl stats

Tick in tls/ssl  587 works fine on my win10 box. smtp.gmail.com

Receiving account at the top.
Sending account at the bottom (my gmail one)
Logged
Sky Fibre Pro -  billion 8800nl v1 (bridge mode) + PFSENSE (APU2C4) 2.4.0 with ipv6 , AC-88U WAP- ECI cab, G.INP disabled as of 8th April 2016

http://www.mydslwebstats.co.uk user upload ID skyECI (using a pi3)

banger

  • Reg Member
  • ***
  • Posts: 532
  • Uno comms 80/20
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #17 on: September 04, 2017, 11:10:03 PM »

Login to Google, my account, connected apps and sites,  Allow less secure apps: ON

In dsl stats

Tick in tls/ssl  587 works fine on my win10 box. smtp.gmail.com

Receiving account at the top.
Sending account at the bottom (my gmail one)

I cant see that less secure apps setting in my google account could you check?

This is the error I get with port 587

04 Sep 2017 23:07:51   Failed to sent email alert - TSendMail: SMTP error: SMTP::MailFrom
Permanent Failure-Invalid command530-5.5.1 Authentication Required. Learn more at
530 5.5.1  https://support.google.com/mail/?p=WantAuthError e10sm4382259wrh.94 - gsmtp
Logged
Tim
www.uno.net.uk & freenetname
Asus DSL-N55U and ZyXEL VMG1312-B10A Bridge on 80 Meg TTB Fibre

https://www.thinkbroadband.com/speedtest/1502566996147131655

d2d4j

  • Reg Member
  • ***
  • Posts: 551
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #18 on: September 04, 2017, 11:17:06 PM »

Hi

@roseway - tlsv1.0 and 1.1 I believe are classed weak and some stop using those ciphers

@banger - your error is the sending server requires credentials to send, so you have to login or pass credentials to be able to send. We use smtp auth required on enterprise class  mail clusters

Another point to remember is some mail servers require a standard connection to port 25, then it's upgraded to secure prior to any credentials been passed, but I'm sorry, it has a name but I cannot for the life of me remember it sorry.

Many thanks

John
Logged

Dray

  • Kitizen
  • ****
  • Posts: 2259
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #19 on: September 04, 2017, 11:23:57 PM »

I cant see that less secure apps setting in my google account could you check?


The error message includes this link
https://support.google.com/mail/?p=WantAuthError
which takes you to the appropriate help.
Logged

banger

  • Reg Member
  • ***
  • Posts: 532
  • Uno comms 80/20
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #20 on: September 04, 2017, 11:48:45 PM »

All sorted now with Ned's help using Gmail. Google sent me an email asking if it was me trying to sign in with a less secure app and if I wanted I could enable less secure apps using a link in the email which I did and now it all works although why my ISPs server stopped accepting emails is a puzzle but that is a separate issue.

04 Sep 2017 23:39:24   Email alert sent: "Alert: Test alert"
Logged
Tim
www.uno.net.uk & freenetname
Asus DSL-N55U and ZyXEL VMG1312-B10A Bridge on 80 Meg TTB Fibre

https://www.thinkbroadband.com/speedtest/1502566996147131655

banger

  • Reg Member
  • ***
  • Posts: 532
  • Uno comms 80/20
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #21 on: September 05, 2017, 12:18:58 AM »

The error message includes this link
https://support.google.com/mail/?p=WantAuthError
which takes you to the appropriate help.

I was using two step authorization that is why I couldn't see the "Use less secure apps" switch.
Logged
Tim
www.uno.net.uk & freenetname
Asus DSL-N55U and ZyXEL VMG1312-B10A Bridge on 80 Meg TTB Fibre

https://www.thinkbroadband.com/speedtest/1502566996147131655

roseway

  • Administrator
  • Senior Kitizen
  • *
  • Posts: 38749
  • Penguins CAN fly
    • DSLstats
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #22 on: September 05, 2017, 07:54:42 AM »

Quote
@roseway - tlsv1.0 and 1.1 I believe are classed weak and some stop using those ciphers

So I understand, but what does that actually mean in this context? The alert emails won't be carrying any confidential information, so is this any sort of security issue?
Logged
  Eric

d2d4j

  • Reg Member
  • ***
  • Posts: 551
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #23 on: September 05, 2017, 08:15:02 AM »

Hi roseway

Many thanks

Sorry, I should have been more clear sorry and mentioned it because you were updating your package

Some mail servers would only use tlsv1.2, and drop anything lower (same as when SSLv3 was dropped)

I think the majority though, would still allow tls1 or 1.1, but thought I had better mention it in case you were not aware

Lastly, tlsv1.3 is coming out of beta, but this will take time to filter into systems

I hope that helps a little and sorry if you were already aware

Many thanks

John
Logged

roseway

  • Administrator
  • Senior Kitizen
  • *
  • Posts: 38749
  • Penguins CAN fly
    • DSLstats
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #24 on: September 05, 2017, 09:56:01 AM »

I see, thanks John.
Logged
  Eric

roseway

  • Administrator
  • Senior Kitizen
  • *
  • Posts: 38749
  • Penguins CAN fly
    • DSLstats
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #25 on: September 05, 2017, 10:38:25 AM »

I've looked into this a bit further now. The SSL library which I'm changing to supports any version of TLS, and which versions are supported in practice depends on the version of openssl which the OS uses. All versions of openssl from v1.0.1 onwards support TLS v1.2. All fairly recent versions of Linux (including Raspbian on the Raspberry Pi) should meet this requirement. I've located a source of openssl v1.0.2 for Windows, which I can package with DSLstats.
Logged
  Eric

Chrysalis

  • Content Team
  • Kitizen
  • *
  • Posts: 4989
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #26 on: September 05, 2017, 02:23:09 PM »

I will test the new openssl windows build if you want eric and test with my mail server, PM me if you want me to before releasing it. :)
Logged
Sky Fiber Pro - Billion 8800NL bridge & PFSense BOX running PFSense 2.4 - ECI Cab

roseway

  • Administrator
  • Senior Kitizen
  • *
  • Posts: 38749
  • Penguins CAN fly
    • DSLstats
Re: Pi3 problem with dsl stats 6.06 (alerts)
« Reply #27 on: September 05, 2017, 02:39:33 PM »

Thanks Chrys, it will take a few days.
Logged
  Eric
Pages: 1 [2]
 

anything